Bug 1124878 - foreman-integration: ux: "Set Root password" text label is not aligned with its caption
Summary: foreman-integration: ux: "Set Root password" text label is not aligned with i...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: ---
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Alexander Wels
QA Contact: movciari
URL:
Whiteboard: infra
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 14:24 UTC by Moti Asayag
Modified: 2016-02-10 19:13 UTC (History)
9 users (show)

Fixed In Version: OVIRT 3.6.0-3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-13 15:46:36 UTC
oVirt Team: Infra
rule-engine: ovirt-3.6.0+
ylavi: planning_ack+
rule-engine: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)
provision host screenshot (76.58 KB, image/png)
2014-07-30 14:24 UTC, Moti Asayag
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 40886 master MERGED webadmin: Update host general layout. Never
Red Hat Bugzilla 865810 None None None Never

Internal Links: 865810

Description Moti Asayag 2014-07-30 14:24:42 UTC
Created attachment 922605 [details]
provision host screenshot

Description of problem:
1. The "Set Root Password" text label is not aligned with its caption.
2. The root password is mandatory and should be enforced on UI.
3. Missing mandatory fields should be highlighted with a red-square in the text label (currently the "set root password" text is in bold black font).

Version-Release number of selected component (if applicable):
commit ac985911a69317a6a974f3a0b754b5cddf177bad

How reproducible:
always

Steps to Reproduce:
1. Provision a host via foreman without specifying a root password

Actual results:
The request is sent to the engine, although the UI can indicates the parameters are incomplete.

Expected results:
1. The "Set Root Password" text label should be aligned with its caption.
2. The root password is mandatory and should be enforced on UI.
3. The missing root password text label should be highlighted with a red-square (as the common behavior in ovirt).

Additional info:

Comment 1 Yaniv Bronhaim 2014-08-26 14:59:54 UTC
1. the label is fine. but if we want to put both the label and the text box in the same line i need to add different text box and not using the same we use for the original root password component
2,3 are fixed with http://gerrit.ovirt.org/31178

Comment 2 Oved Ourfali 2015-04-06 12:52:24 UTC
Alexander - can you help us out with this one?

Comment 3 Alexander Wels 2015-04-13 14:26:07 UTC
Sorry I haven't responded, its on my to do list.

Comment 4 Einav Cohen 2015-05-06 23:46:44 UTC
the plan is to restructure the entire 'General' section of the New/Edit Host dialog to use PatternFly grids.

Comment 5 Pavel Stehlik 2016-01-13 15:46:36 UTC
Closing old bugs. In case still happens, pls reopen.


Note You need to log in before you can comment on or make changes to this bug.